summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-06-24 23:45:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-24 23:45:57 +0700
commit500119a5e9ef466dda01d140ef58e620d3214481 (patch)
treeb7d1046987736f952d10642f72314600b4860eea
parenta7f40db40ad39168a28e77f40ba88824baac74fd (diff)
downloadslackbuilds-500119a5e9ef466dda01d140ef58e620d3214481.tar.gz
slackbuilds-500119a5e9ef466dda01d140ef58e620d3214481.tar.xz
desktop/cathexis-suite-themes: Added (Slim themes).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/cathexis-suite-themes/README24
-rw-r--r--desktop/cathexis-suite-themes/cathexis-suite-themes.SlackBuild71
-rw-r--r--desktop/cathexis-suite-themes/cathexis-suite-themes.info10
-rw-r--r--desktop/cathexis-suite-themes/doinst.sh24
-rw-r--r--desktop/cathexis-suite-themes/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/desktop/cathexis-suite-themes/README b/desktop/cathexis-suite-themes/README
new file mode 100644
index 0000000000..4ee5edf50c
--- /dev/null
+++ b/desktop/cathexis-suite-themes/README
@@ -0,0 +1,24 @@
+cathexis-suite-themes (GTK2|GTK3|OpenBox|Slim themes).
+
+CathexiS is simple, minimal, distraction free foundation for building your desktop
+experience. It's dark theme which will stay in background while you work but in a same time
+it can be really attractive when you want to show your desktop around.
+
+Your Openbox desktop can look really nice with this suite.
+
+Optional dependencies: gtk-engines, murrine, gtk-engines-unico.
+
+This package provides:
+
+* Colors >> new base colors;
+* GTK2 Theme >> fixed many different bugs, changed buttons and tab style;
+* GTK3 Theme >> is new and it's tested with gtk 3.8 now it looks much closer to GTK2 theme
+and your GTK3 apps will look nice;
+* Openbox Theme >> changed some text colors to fit new base colors;
+* Tint2 Theme >> changed some text colors to fit new base colors;
+* Conky Theme >> no more errors when starting, changed some colors font sizes and elements;
+* SliM Theme >> added slim theme read readme.txt to check how to install and enable it;
+* Rxvt Terminal >> added my .Xdefaults and .bashrc files to make terminal fit cathexis style;
+* NCMPCPP Config >> if you use ncmpcpp to listen your music i provided config file;
+* Fonts >> added Inconsolata font for terminal apps; and
+* Wallpapers >> added new dark wallpaper 1920x1200px.
diff --git a/desktop/cathexis-suite-themes/cathexis-suite-themes.SlackBuild b/desktop/cathexis-suite-themes/cathexis-suite-themes.SlackBuild
new file mode 100644
index 0000000000..807aad35c0
--- /dev/null
+++ b/desktop/cathexis-suite-themes/cathexis-suite-themes.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+#
+# Slackware build script for cathexis-suite-themes.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="cathexis-suite-themes"
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCNAM="cathexis_suite_by_samirkahvedzic-d5g1i90"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$SRCNAM.zip
+mv cathexis_suite $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/etc/{skel,xdg}
+cp -a conky $PKG/etc/skel/.conky
+cp -a ncmpcpp $PKG/etc/skel/.ncmpcpp
+cp -a terminal/{bashrc,Xdefaults} $PKG/etc/skel/
+cp -a tint2 $PKG/etc/xdg/
+
+mkdir -p $PKG/usr/share/{fonts/TTF,slim/themes,themes,wallpapers}
+cp -a fonts/Coda/*.ttf fonts/Inconsolata/*.ttf $PKG/usr/share/fonts/TTF/
+cp -a slim/cathexis $PKG/usr/share/slim/themes/
+cp -a cathexis $PKG/usr/share/themes/
+cp -a wallpapers/* $PKG/usr/share/wallpapers/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a readme.txt $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
diff --git a/desktop/cathexis-suite-themes/cathexis-suite-themes.info b/desktop/cathexis-suite-themes/cathexis-suite-themes.info
new file mode 100644
index 0000000000..1a57d932f9
--- /dev/null
+++ b/desktop/cathexis-suite-themes/cathexis-suite-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="cathexis-suite-themes"
+VERSION="0.1"
+HOMEPAGE="http://samirkahvedzic.deviantart.com/art/CathexiS-Suite-329275044"
+DOWNLOAD="http://fc08.deviantart.net/fs71/f/2013/270/6/8/cathexis_suite_by_samirkahvedzic-d5g1i90.zip"
+MD5SUM="33d9fb0714df611ff618d4bf59dcca49"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/cathexis-suite-themes/doinst.sh b/desktop/cathexis-suite-themes/doinst.sh
new file mode 100644
index 0000000000..0fa5d81798
--- /dev/null
+++ b/desktop/cathexis-suite-themes/doinst.sh
@@ -0,0 +1,24 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/desktop/cathexis-suite-themes/slack-desc b/desktop/cathexis-suite-themes/slack-desc
new file mode 100644
index 0000000000..48d8ff2388
--- /dev/null
+++ b/desktop/cathexis-suite-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cathexis-suite-themes: cathexis-suite-themes (GTK2|GTK3|OpenBox|Slim themes)
+cathexis-suite-themes:
+cathexis-suite-themes: CathexiS is simple, minimal, distraction free foundation for building
+cathexis-suite-themes: your desktop experience. It's dark theme which will stay in
+cathexis-suite-themes: background while you work but in a same time it can be really
+cathexis-suite-themes: attractive when you want to show your desktop around.
+cathexis-suite-themes:
+cathexis-suite-themes: Your Openbox desktop can look really nice with this suite.
+cathexis-suite-themes:
+cathexis-suite-themes:
+cathexis-suite-themes: